Loading...
Searching...
No Matches
Halide::Runtime::Internal::Synchronization::fast_cond Class Reference

`#include <synchronization_common.h>`

## Public Member Functions

ALWAYS_INLINE void | signal ()
ALWAYS_INLINE void | broadcast ()
ALWAYS_INLINE void | wait (fast_mutex *mutex)

## Detailed Description

Definition at line 817 of file synchronization_common.h.

## Member Function Documentation

## signal()

ALWAYS_INLINE void Halide::Runtime::Internal::Synchronization::fast_cond::signal | ( |  | ) |

inline

Definition at line 821 of file synchronization_common.h.

References ALWAYS_INLINE, and Halide::Runtime::Internal::Synchronization::parking_control::unpark_one().

Referenced by halide_cond_signal().

## broadcast()

ALWAYS_INLINE void Halide::Runtime::Internal::Synchronization::fast_cond::broadcast | ( |  | ) |

inline

Definition at line 835 of file synchronization_common.h.

References ALWAYS_INLINE, and Halide::Runtime::Internal::Synchronization::parking_control::unpark_requeue().

Referenced by halide_cond_broadcast().

## wait()

ALWAYS_INLINE void Halide::Runtime::Internal::Synchronization::fast_cond::wait | ( | fast_mutex * | mutex | ) |

inline

Definition at line 849 of file synchronization_common.h.

References ALWAYS_INLINE, halide_abort_if_false, Halide::Runtime::Internal::Synchronization::fast_mutex::lock(), and Halide::Runtime::Internal::Synchronization::parking_control::park().

Referenced by halide_cond_wait().

The documentation for this class was generated from the following file:

- src/runtime/synchronization_common.h